DRM_VMA_OFFSET_LOOKU(9)

NAME
drm_vma_offset_lookup - Find node in offset space

SYNOPSIS

struct drm_vma_offset_node * drm_vma_offset_lookup(struct drm_vma_offset_manager * mgr, unsigned long start, unsigned long pages);

ARGUMENTS

mgr
    Manager object

start
    Start address for object (page-based)

pages
    Size of object (page-based)

DESCRIPTION

Find a node given a start address and object size. This returns the _best_ match for the given node. That is, start may point somewhere into a valid region and the given node will be returned, as long as the node spans the whole requested area (given the size in number of pages as pages).

RETURNS

Returns NULL if no suitable node can be found. Otherwise, the best match is returned. It's the caller's responsibility to make sure the node doesn't get destroyed before the caller can access it.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT